{
  "name": "@digiresilience/montar",
  "version": "0.1.7",
  "description": "manage typescript state",
  "main": "build/main/index.js",
  "type": "module",
  "typings": "build/main/index.d.ts",
  "module": "build/module/index.js",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "private": false,
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "fix:lint": "eslint src --ext .ts --fix",
    "fmt": "prettier \"src/**/*.ts\" --write",
    "test": "DEBUG=montar jest --config jest.config.json",
    "lint": "eslint src --ext .ts",
    "lint-fmt": "prettier \"src/**/*.ts\" --list-different",
    "doc": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "dev": "tsc-watch --build  --noClear"
  },
  "engines": {
    "node": ">=14"
  },
  "devDependencies": {
    "@types/jest": "^29.5.3",
    "babel-preset-link": "*",
    "eslint-config-link": "*",
    "jest-config-link": "*",
    "tsc-watch": "^6.0.4",
    "tsconfig-link": "*"
  },
  "dependencies": {
    "debug": "^4.3.4"
  }
}
